summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2018-02-01 00:02:56 +0100
committerLucki2018-02-01 00:02:56 +0100
commitf2886f4bc9b3d2eca2f1d5075a4af58d407d2c70 (patch)
treec604f288333944cd2ded798f5caee66ee2857b1d
parent2a696ca7786a346c259e7b6d0c9d605b5b1c47aa (diff)
downloadaur-f2886f4bc9b3d2eca2f1d5075a4af58d407d2c70.tar.gz
Update to v0.9.10
-rw-r--r--.CHANGELOG39
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD40
3 files changed, 77 insertions, 8 deletions
diff --git a/.CHANGELOG b/.CHANGELOG
index d7bbfd42168..ada6fb0132e 100644
--- a/.CHANGELOG
+++ b/.CHANGELOG
@@ -1,6 +1,45 @@
Version history
===============
+0.9.10
+------
+
+2018-01-30
+
+Updated Arty's multiplayer maps, removed Knock 'em Dead, added Feaster Islands.
+
+Fix #294: Loading manual savestates could occasionally desync physics.
+This fix is covered with an automatic regression test.
+
+Fix #295: Stateload won't preserve the future when you wish to discard
+replay actions undone with framestepping. Covered with an automatic
+regression test.
+
+Fix #250: Permanent abilities appear as little icons over your own lix.
+
+Slightly reduced Lix's hunger for RAM by running the garbage collection
+more often. I still have to debug this gigantic hunger for RAM properly.
+On large maps, Lix might want 1.5 GB on Windows and 500 MB on Linux.
+
+Hardcoded the first miner eye position for the fuse and ability icons. Reason:
+This miner pose covers the eye with her arm.
+
+Don't paint over the level search button when the directory list updates.
+
+Translated the search string "Search for filenames or level titles".
+
+Removed the unused multiplayer jingles from data/sound/.
+
+Editor shows coordinates only in decimal, not in hex. The map size dialog
+still displays the size both in decimal and in hex.
+
+Editor doesn't count exits in singleplayer maps, to improve the visible
+difference between singleplayer and multiplayer maps.
+
+Documented SiegeLord's batch file for the Windows build. Discourage installing
+extra software on Windows merely to build 64-bit. 32-bit Lix runs fine and
+is easier to build.
+
0.9.9
-----
diff --git a/.SRCINFO b/.SRCINFO
index 0ebfbd689d3..6ecd3e52db4 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = lix
pkgdesc = An action-puzzle game inspired by Lemmings
- pkgver = 0.9.9
- pkgrel = 2
+ pkgver = 0.9.10
+ pkgrel = 1
url = http://www.lixgame.com/
changelog = .CHANGELOG
arch = i686
@@ -13,7 +13,7 @@ pkgbase = lix
depends = allegro
depends = enet
conflicts = lix-git
- source = lix::git+https://github.com/SimonN/LixD.git#tag=v0.9.9
+ source = lix::git+https://github.com/SimonN/LixD.git#tag=v0.9.10
source = lix-music-1.zip::http://www.lixgame.com/dow/lix-music.zip
source = lix.desktop
sha512sums = SKIP
diff --git a/PKGBUILD b/PKGBUILD
index 6477d5a1a78..84b32b80505 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,8 +2,8 @@
# Contributor: Carl Reinke <mindless2112 gmail com>
pkgname=lix
-pkgver=0.9.9
-pkgrel=2
+pkgver=0.9.10
+pkgrel=1
changelog=.CHANGELOG
conflicts=("${pkgname}-git")
source=("${pkgname}::git+https://github.com/SimonN/LixD.git#tag=v${pkgver}"
@@ -14,7 +14,7 @@ sha512sums=('SKIP'
'52d49562cd9be4eec76b464153af1cce2211fdbd6113a6a60df042f7e8f7e6a8f1942df883dfaaa6c1bbfea004c4154d884dfa767e25fa3fadf9c58be1103fe6')
_pkgname=${pkgname}
-# template start; name=lix; version=0.4;
+# template start; name=lix; version=0.5;
pkgdesc="An action-puzzle game inspired by Lemmings"
arch=('i686' 'x86_64')
url="http://www.lixgame.com/"
@@ -25,6 +25,7 @@ makedepends=('git' 'dmd' 'dub')
build()
{
cd "${srcdir}/${_pkgname}"
+ _r=0
# force an upgrade of the dependencies to the local folder, without --cache=local they get added to the users home directory
dub upgrade --cache=local
@@ -45,9 +46,38 @@ build()
dub remove-local enumap-*/enumap
dub clean-caches
- if [[ $_r != 0 ]] ; then
+ if [[ "$_r" != 0 ]] ; then
# dub failed so we also fail after we removed the local dependencies
- return $_r
+ return "$_r";
+ fi
+}
+
+check()
+{
+ cd "${srcdir}/${_pkgname}"
+ _r=0
+
+ # force an upgrade of the dependencies to the local folder, without --cache=local they get added to the users home directory
+ dub upgrade --cache=local
+
+ # add local dependencies to search path
+ dub add-local allegro-*/allegro
+ dub add-local derelict-enet-*/derelict-enet
+ dub add-local derelict-util-*/derelict-util
+ dub add-local enumap-*/enumap
+
+ dub test --cache=local || _r=$?
+
+ # remove local dependencies from search path so dub don't find them later again
+ dub remove-local allegro-*/allegro
+ dub remove-local derelict-enet-*/derelict-enet
+ dub remove-local derelict-util-*/derelict-util
+ dub remove-local enumap-*/enumap
+ dub clean-caches
+
+ if [[ "$_r" != 0 ]] ; then
+ # dub failed so we also fail after we removed the local dependencies
+ return "$_r"
fi
}